//
//  JiguangDemo
//
//  Created by xudong.rao on 2020/11/10.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_OPTIONS(NSInteger, ActionType) {
    ADD = 1,
    DELETE = 2
};

typedef void (^JOPERATEPopViewBlock)(NSInteger type,NSString *content, BOOL isSuccess);

@interface JOPERATEPopView : UIView

@property(nonatomic, strong) NSString *title;
@property(nonatomic, strong) NSString *icon;
@property(nonatomic, strong) NSString *text;
@property(nonatomic, strong) NSString *placeholder;
@property(nonatomic, strong) NSString *tipMessage;
@property(nonatomic, assign) NSInteger maxCount;
/// 0：设置用户标识，1：设置通道 2：设置用户属性
@property(nonatomic, assign) NSInteger type;
/// 0：纯文本  1：手机号  2：bool  3：数组
@property(nonatomic, assign) NSInteger subType;
@property(nonatomic, strong) JOPERATEPopViewBlock popViewBlock;
- (void)show;

///可手动调用
- (void)dismiss;


@end

NS_ASSUME_NONNULL_END
